APD Functions
bcompiler
APD Functions
PHP Manual

# rename_function

(PECL apd:0.2-1.0.1)

rename_function — Renames orig_name to new_name in the global function table

### Description

bool rename_function ( string `$original_name` , string `$new_name` )

Renames a orig_name to new_name in the global function table. Useful for temporarily overriding built-in functions.

### Parameters

`original_name`

  The original function name.

`new_name`

  The new name for the `original_name` function.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 rename_function() example

`<?php
rename_function('mysql_connect', 'debug_mysql_connect' );
?>`

APD Functions
bcompiler
APD Functions
PHP Manual